//
//	$Date: 2001/05/30 08:26:26 $
//	$Revision: 1.1 $

#include <PalmOS.h>
#include "palmwiki.h"
#include "pwprefs.h"

Boolean GetWikiPreferences(WikiPref *prefp, Boolean force)
{
	UInt16 prefsize;
	Int16 result;
	WikiPref newpref;

	prefsize = 0;
	result = PrefGetAppPreferences(PWCREATOR,0,NULL,&prefsize,true);

	if(result == noPreferenceFound || prefsize != sizeof(WikiPref)){
		if(!force) return false;
		prefsize = sizeof(WikiPref);
		StrCopy(newpref.lpar,DEFAULT_LEFT_TAG);
		StrCopy(newpref.rpar,DEFAULT_RIGHT_TAG);
		StrCopy(newpref.memo,DEFAULT_MEMO_APP);
		StrCopy(newpref.date,DEFAULT_DATE_APP);
		newpref.singletap = true;
		newpref.linkstackindex = 0;
		PrefSetAppPreferences(PWCREATOR,0,1,&newpref,sizeof(WikiPref),true);
	}
	PrefGetAppPreferences(PWCREATOR,0,prefp,&prefsize,true);
	return true;
}

void SetWikiPreferences(WikiPref *prefp)
{
	PrefSetAppPreferences(PWCREATOR,0,1,prefp,sizeof(WikiPref),true);
}
